tiers:
  - name: sv
  - name: lb
  - name: stor
  - name: db
  - name: inf

# For each entry in services, a label is automatically created by the
# `reconcile_service_catalog_labels` job in CI when a service label does not
# already exist.
#
# The label name can be customized using the `label` field, which will
# automatically convert to scoped label, e.g. `Service::my-service`.
#
# The full list of service labels can be viewed under
# https://gitlab.com/groups/gitlab-com/gl-infra/-/labels?search=Service%3A%3A&sort=created_desc.
services:
  - name: api
    friendly_name: GitLab API
    tier: sv
    teams:
      - create
      - distribution_deploy
      - geo
      - gitaly
      - manage
      - plan
    label: API
    owner: reliability_general
    business:
      SLA:
        overall_sla_weighting: 5 # If this exists, this service will be included in the overall SLA, using this value as a weighted average
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab-ce
        - https://gitlab.com/gitlab-org/gitlab-ee
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#service-architecture
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/tree/master/api-k8s-migration
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/api
        developer_guide: https://docs.gitlab.com/ee/development/api_styleguide.html
        service:
          - https://docs.gitlab.com/ce/api/
          - https://docs.gitlab.com/ee/api/
        security:
      dependencies:
        - service: consul
        - service: postgres
        - service: gitaly
        - service: redis
      logging:
        - name: Rails
          permalink: https://log.gprd.gitlab.net/goto/f61f543b668c26f2dcdb8a0eb06e2edb
        - name: Workhorse
          permalink: https://log.gprd.gitlab.net/goto/66979d90ca195652b7a4d10d22ca2db7
        - name: Kubernetes
          permalink: https://log.gprd.gitlab.net/goto/88eab835042a07b213b8c7f24213d5bf
    observability:
      monitors:
        primary_grafana_dashboard: api-main/api-overview
        sentry_slug: gitlab/gitlabcom/?query=program%3A%22rails%22

  - name: atlantis
    tier: inf
    friendly_name: Atlantis
    label: atlantis
    owner: reliability_foundations
    technical:
      project:
      documents:
        design:
        architecture:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/atlantis
        developer_guide:
        service:
        security:
      dependencies:
      logging:
        - name: Atlantis
          permalink: https://dashboards.gitlab.net/goto/ZJOLqE4SR
    observability:
      monitors:
        primary_grafana_dashboard: atlantis-main/atlantis-overview

  - name: blackbox
    tier: inf
    friendly_name: Blackbox Exporters
    label: Blackbox
    owner: scalability:observability
    technical:
      project:
        - https://gitlab.com/gitlab-cookbooks/gitlab-exporters
      documents:
        design:
        architecture:
        readiness_review:
        service:
          - https://github.com/prometheus/blackbox_exporter/blob/master/README.md
        security:
      dependencies:
        - service: prometheus
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/b4618f79f80f44cb21a32623a275a0e6
    observability:
      monitors:

  - name: camoproxy
    tier: sv
    friendly_name: Camoproxy
    label: Camoproxy
    owner: reliability_general
    technical:
      project:
        - https://github.com/cactus/go-camo
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/gitlab-helmfiles/-/tree/master/releases/camoproxy/charts
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/camoproxy
        developer_guide: https://docs.gitlab.com/ee/security/asset_proxy.html
        service:
        security:
      dependencies:
      logging:
        - name: Camoproxy
          permalink: https://log.gprd.gitlab.net/goto/f86d35a17e46e0de9d8454b3a5d4387f
    observability:
      monitors:
        primary_grafana_dashboard: camoproxy-main/camoproxy-overview

  - name: clickhouse
    tier: inf
    friendly_name: ClickHouse Cloud
    label: Service::ClickHouseCloud
    owner: ops
    technical:
      project:
      documents:
        design:
        architecture: https://docs.gitlab.com/ee/architecture/blueprints/clickhouse_usage/
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/merge_requests/173
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/clickhouse/README.md
        developer_guide: https://docs.gitlab.com/ee/development/database/clickhouse/clickhouse_within_gitlab.html
        service: []
        security:
      dependencies:
        - service:
      sub_components:
      logging:
        - name: ClickHouse Cloud monitoring
          permalink: https://clickhouse.cloud/services
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:

  - name: console
    tier: sv
    friendly_name: Console Access
    label: Console
    owner: reliability_foundations
    technical:
      project:
        - https://gitlab.com/gitlab-cookbooks/gitlab_users
      documents:
        design:
        architecture:
        readiness_review:
        service:
        security:
      dependencies:
        - service: postgres
        - service: gitaly
        - service: redis
      logging:
        - name: history
        - permalink:
    observability:
      monitors:
        sentry_slug: gitlab/gitlabcom/?query=program%3A%22rails%22

  - name: consul
    tier: inf
    friendly_name: Consul
    label: Consul
    owner: reliability_foundations
    technical:
      project:
        - https://github.com/hashicorp/consul
      documents:
        design:
        architecture: https://www.consul.io/docs/internals/architecture.html
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/merge_requests/80
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/consul
        developer_guide:
        service:
          - https://github.com/hashicorp/consul/blob/master/README.md
        security: https://www.consul.io/docs/internals/security.html
      dependencies:
      logging:
        - name: Consul
          permalink: https://log.gprd.gitlab.net/goto/7f15b1f04a0f09fbb18fc62adefe3ed1
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/a22fbb60e45a3f6d7860908a5427301c
    observability:
      monitors:
        primary_grafana_dashboard: a988f2tmz/consul
        sentry_slug:

  - name: contributors
    tier: sv
    friendly_name: contributors.gitlab.com
    label: Contributors
    owner: developer_relations
    technical:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard:
        sentry_slug:

  - name: errortracking
    tier: sv
    friendly_name: ErrorTracking
    teams:
      - observability
    label: ErrorTracking
    owner: observability
    technical:
      project:
        - https://gitlab.com/gitlab-org/opstrace/opstrace
      documents:
        architecture: https://gitlab.com/gitlab-org/opstrace/runbooks/#architecture
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/tree/master/library/database/clickhouse
        developer_guide: https://gitlab.com/gitlab-org/opstrace/opstrace/-/tree/main/docs
      logging:
        - name: Kibana
          permalink: https://log.gprd.gitlab.net/app/r/s/Kvsjn
    observability:
      monitors:
        primary_grafana_dashboard: observability-errortracking/observability-errortracking-api

  - name: tracing
    tier: sv
    friendly_name: Distributed Tracing
    teams:
      - observability
    label: Tracing
    owner: observability
    technical:
      project:
        - https://gitlab.com/gitlab-org/opstrace/opstrace
      documents:
        service:
          - https://docs.gitlab.com/ee/operations/tracing.html
        architecture: https://gitlab.com/gitlab-org/opstrace/runbooks/#architecture
        developer_guide: https://gitlab.com/gitlab-org/opstrace/opstrace/-/tree/main/docs
      logging:
        - name: Kibana
          permalink: https://log.gprd.gitlab.net/app/r/s/Kvsjn
    observability:
      monitors:
        primary_grafana_dashboard: observability-tracing/observability3a-tracing

  - name: customersdot
    tier: sv
    friendly_name: CustomersDot
    teams:
      - fulfillment
    label: CustomersDot
    owner: fulfillment_platform
    technical:
      project:
        - https://gitlab.com/gitlab-org/customers-gitlab-com
      documents:
        design:
        architecture: https://gitlab.com/gitlab-org/customers-gitlab-com/-/blob/main/doc/architecture/index.md
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/customersdot
        developer_guide: https://docs.gitlab.com/ee/development/product_qualified_lead_guide/#hand-raise-flow-on-customersdot
        service:
          - https://gitlab.com/gitlab-org/customers-gitlab-com/-/tree/main/doc
        security:
      dependencies:
      logging:
        - name: Rails
          permalink: https://console.cloud.google.com/logs/query;query=resource.type%3D%22gce_instance%22%0Alog_name%3D%22projects%2Fgitlab-subscriptions-prod%2Flogs%2Frails.production%22;cursorTimestamp=2022-06-08T08:35:26.081Z?referrer=search&project=gitlab-subscriptions-prod
        - name: Sidekiq
          permalink: https://console.cloud.google.com/logs/query;query=resource.type%3D%22gce_instance%22%0Alog_name%3D%22projects%2Fgitlab-subscriptions-prod%2Flogs%2Fsidekiq.production%22;cursorTimestamp=2022-06-08T08:34:39.368440702Z?referrer=search&project=gitlab-subscriptions-prod/
    observability:
      monitors:
        sentry_slug: gitlab/customersgitlabcom/
        primary_grafana_dashboard: customersdot-main/customersdot-overview

  - name: external_license_db
    tier: sv
    friendly_name: External License DB
    teams:
      - Secure Composition Analysis
    label: LicenseDB
    owner: composition_analysis
    technical:
      logging:
        - name:
          permalink:
      project:
        - https://gitlab.com/gitlab-org/security-products/license-db
      documents:
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/merge_requests/183/diffs

  - name: ext-pvs
    tier: inf
    friendly_name: External Pipeline Validation Service
    label: ExtPVS
    owner: trust_and_safety
    technical:
      project:
        - https://gitlab.com/gitlab-org/modelops/anti-abuse/pipeline-validation-service
      documents:
        design:
        architecture:
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/issues/17
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/pipeline-validation-service
        developer_guide: https://docs.gitlab.com/ee/administration/external_pipeline_validation.html
        service:
        security:
      dependencies:
      logging:
        - name: stackdriver
          permalink: https://cloudlogging.app.goo.gl/2Nwee4eLCHa8Zcp87
    observability:
      monitors:
        grafana_folder: pvs
        primary_grafana_dashboard: ext-pvs-main/ext-pvs-overview

  - name: forum
    tier: sv
    friendly_name: forum.gitlab.com
    label: forum.gitlab.com
    owner: developer_relations
    technical:
      logging:
        - name:
          permalink:

  - name: kube
    tier: inf
    friendly_name: Kubernetes
    label: Kube
    owner: reliability_foundations
    technical:
      project:
        - https://gitlab.com/gitlab-com/gitlab-com-infrastructure
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/common
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/gitlab-com
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/gitlab-helmfiles/
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/tanka-deployments
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/kube
        developer_guide:
        service:
        security:
      logging:
        - name: Stackdriver
          permalink: https://cloudlogging.app.goo.gl/81mKjkvq3BfTUwRN9
    observability:
      monitors:
        grafana_folder: kube
        primary_grafana_dashboard: kube-main/kube-overview

  - name: logging
    tier: inf
    friendly_name: Logging
    label: Logging
    owner: scalability:observability
    technical:
      project:
      documents:
        design: https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/23545
        architecture: https://gitlab.com/gitlab-com/runbooks/raw/master/img/logging-infr.png
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/blob/master/es-logging-cluster/index.md
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/logging
        developer_guide: https://docs.gitlab.com/ee/development/logging.html#gitlab-developers-guide-to-logging
        service:
          - https://gitlab.com/gitlab-com/runbooks/blob/master/howto/logging.md
          - https://gitlab.com/gitlab-com/gl-infra/readiness/-/blob/master/es-logging-cluster/index.md
        security:
      dependencies:
        - service:
      sub_components:
        - fluentd
        - google-pubsub-topics
        - pubsubbeat
        - stackdriver
        - stackdriver-exporter
        - elk
      logging:
        - name: Kibana
          permalink: https://log.gprd.gitlab.net/app/kibana
        - name: Stackdriver
          permalink: https://console.cloud.google.com/logs/viewer?project=gitlab-production
        - name: elastic stack monitoring
          permalink: https://00a4ef3362214c44a044feaa539b4686.us-central1.gcp.cloud.es.io:9243/app/monitoring#/home?_g=(cluster_uuid:RM2uqM76TnWT3JL5n5NzCw)
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:

  - name: nginx
    friendly_name: NGINX
    tier: sv
    teams:
      - distribution_deploy
    label: NGINX
    owner: reliability_general
    technical:
      project:
        - https://gitlab.com/gitlab-org/omnibus-gitlab
        - https://gitlab.com/gitlab-org/charts/gitlab/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/nginx
        developer_guide:
        service:
        security:
      dependencies:
      logging:
        - name: Kubernetes
          permalink: https://log.gprd.gitlab.net/goto/88eab835042a07b213b8c7f24213d5bf
        - name: Error Logs
          permalink: https://cloudlogging.app.goo.gl/neeqq5jQEKWsxZRx8
    observability:
      monitors:
        primary_grafana_dashboard:

  - name: product_analytics
    tier: sv
    friendly_name: Product Analytics
    teams:
      - Product Analytics
      - Analytics instrumentation
    label: ProductAnalytics
    owner: product_analytics
    technical:
      logging:
        - name: GKE logs
          permalink: https://cloudlogging.app.goo.gl/QWoCS2kDVF5LaTqG9
      project:
        - https://gitlab.com/gitlab-org/analytics-section/product-analytics
      documents:
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/merge_requests/187
        developer_guide: https://gitlab.com/gitlab-org/gitlab-development-kit/-/blob/main/doc/howto/product_analytics.md
        service:
          - https://gitlab.com/gitlab-org/analytics-section/analytics-configurator/-/blob/main/README.md
          - https://gitlab.com/gitlab-org/analytics-section/product-analytics/analytics-stack/-/blob/main/README.md
          - https://gitlab.com/gitlab-org/analytics-section/product-analytics/devkit/-/blob/main/README.md
      dependencies:
        - service: api
        - service: web
        - service: git
        - service: postgres
        - service: redis
        - service: clickhouse
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard: da6cf9ea-d593-41ed-91c5-8536fd15c2fa/product-analytics-service-health

  - name: search
    tier: inf
    friendly_name: Global Search
    label: Elasticsearch
    owner: global_search
    technical:
      project:
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/search
        developer_guide: https://docs.gitlab.com/ee/development/elasticsearch.html
        service: []
        security:
      dependencies:
        - service:
      sub_components:
        - elasticsearch
      logging:
        - name: elastic stack monitoring
          permalink: https://00a4ef3362214c44a044feaa539b4686.us-central1.gcp.cloud.es.io:9243/app/monitoring#/overview?_g=(cluster_uuid:D31oWYIkTUWCDPHigrPwHg)
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:

  - name: zoekt
    tier: inf
    friendly_name: Global Code Search
    label: Zoekt
    owner: global_search
    technical:
      project:
      documents:
        design:
        architecture: https://docs.gitlab.com/ee/architecture/blueprints/code_search_with_zoekt/
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/merge_requests/146
        sre_guide:
        developer_guide:
        service: []
        security:
      dependencies:
        - service:
      sub_components:
      logging:
        - name: Rails
          permalink: https://log.gprd.gitlab.net/goto/15b83f5a97e93af2496072d4aa53105f
        - name: Sidekiq
          permalink: https://log.gprd.gitlab.net/goto/d7e4791e63d2a2b192514ac821c9f14f
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:

  - name: web
    tier: sv
    friendly_name: GitLab.com Web
    teams:
      - create
      - distribution_deploy
      - geo
      - gitaly
      - manage
      - plan
    label: Web
    owner: reliability_general
    business:
      SLA:
        overall_sla_weighting: 5 # If this exists, this service will be included in the overall SLA, using this value as a weighted average
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab-ce
        - https://gitlab.com/gitlab-org/gitlab-ee
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#service-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/web
        developer_guide: https://docs.gitlab.com/ee/development/architecture.html
        service:
          - https://docs.gitlab.com/ce/
          - https://docs.gitlab.com/ee/
        security:
      dependencies:
        - service: consul
        - service: postgres
        - service: gitaly
        - service: redis
      logging:
        - name: Rails
          permalink: https://log.gprd.gitlab.net/goto/15b83f5a97e93af2496072d4aa53105f
        - name: Workhorse
          permalink: https://log.gprd.gitlab.net/goto/464bddf849abfd4ca28494a04bad3ead
        - name: Kubernetes
          permalink: https://log.gprd.gitlab.net/goto/88eab835042a07b213b8c7f24213d5bf
    observability:
      monitors:
        sentry_slug: gitlab/gitlabcom/?query=program%3A%22rails%22
        primary_grafana_dashboard: web-main/web-overview
        gitlab_dashboard: https://ops.gitlab.net/gitlab-com/metrics-dogfooding/-/environments/266/metrics?dashboard=.gitlab%2Fdashboards%2Fkey_service_web.yml&duration_seconds=10800

  - name: frontend
    tier: lb
    friendly_name: HAProxy (Frontend)
    label: HAProxy
    owner: reliability_foundations
    technical:
      project:
        - https://gitlab.com/gitlab-cookbooks/gitlab-haproxy
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#infra-current-archi-diagram
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/frontend
        developer_guide: https://docs.gitlab.com/ee/development/fe_guide/#frontend-development-guidelines
        service:
          - http://docs.haproxy.org/2.8/intro.html
          - http://docs.haproxy.org/2.8/configuration.html
          - http://docs.haproxy.org/2.8/management.html
        security:
      dependencies:
        - service: api
        - service: git
        - service: web
      logging:
        - name: haproxy
          permalink: https://console.cloud.google.com/logs/viewer?project=gitlab-production&organizationId=769164969568&interval=PT1H&resource=gce_instance%2Finstance_id%2F1812745190666049211&scrollTimestamp=2019-01-22T15:27:18.915253748Z&advancedFilter=resource.type%3D%22gce_instance%22%0Alabels.tag%3D%22haproxy%22
    observability:
      monitors:
        grafana_folder: N9YSt6Siz
        primary_grafana_dashboard: frontend-main/frontend-overview

  - name: google-cloud-storage
    tier: inf
    friendly_name: Google Cloud Storage
    label: GoogleCloudStorage
    owner: reliability_foundations
    technical:
      documents:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/google-cloud-storage
        developer_guide: https://docs.gitlab.com/ee/administration/object_storage.html
      logging:
        - name: Admin Activity
          permalink: https://cloudlogging.app.goo.gl/Htfsfyye1PeAfc1r6
        - name: Data Access
          permalink: https://cloudlogging.app.goo.gl/fSJgyQ1k1Fupsqb1A
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:

  - name: git
    tier: sv
    friendly_name: Git Access
    teams:
      - create
      - distribution_deploy
      - geo
      - gitaly
      - manage
      - plan
    label: Git
    owner: reliability_general
    business:
      SLA:
        overall_sla_weighting: 5 # If this exists, this service will be included in the overall SLA, using this value as a weighted average
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab-shell # SSH
        - https://gitlab.com/gitlab-org/gitlab-workhorse # HTTP
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#infra-current-archi-diagram
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/git
        developer_guide: https://docs.gitlab.com/ee/topics/git/#git
        service:
          - https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#service-architecture
        security:
      dependencies:
        - service: consul
        - service: gitaly
        - service: postgres
        - service: redis
      logging:
        - name: Rails
          permalink: https://log.gprd.gitlab.net/goto/b368513b02f183a06d28c2a958b00602
        - name: Workhorse
          permalink: https://log.gprd.gitlab.net/goto/3ddd4ee7141ba2ec1a8b3bb0cb1476fe
        - name: Puma
          permalink: https://log.gprd.gitlab.net/goto/a2601cff0b6f000339e05cdb9deab58b
        - name: nginx
          permalink: https://log.gprd.gitlab.net/goto/8a5fb5820ec7c8daebf719c51fa00ce0
        - name: Unstructured Rails
          permalink: https://console.cloud.google.com/logs/viewer?project=gitlab-production&interval=PT1H&resource=gce_instance&advancedFilter=jsonPayload.hostname%3A%22git%22%0Alabels.tag%3D%22unstructured.production%22&customFacets=labels.%22compute.googleapis.com%2Fresource_name%22
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/bd680ccb3c21567e47a821bbf52a7c09
    observability:
      monitors:
        sentry_slug: gitlab/gitlabcom/?query=program%3A%22rails%22
        primary_grafana_dashboard: git-main/git-overview

  - name: gitaly
    tier: stor
    friendly_name: Gitaly
    teams:
      - gitaly
    label: Gitaly
    owner: gitaly
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitaly
      documents:
        design: https://gitlab.com/gitlab-org/gitaly/blob/master/doc/DESIGN.md
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#service-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/gitaly
        developer_guide: https://docs.gitlab.com/ee/development/gitaly.html#gitaly-developers-guide
        service:
          - https://gitlab.com/gitlab-org/gitaly/blob/master/README.md
        security:
      dependencies:
        - service: gitaly
        - service: haproxy # through gitlab-shell
        - service: redis # through gitlab-shell
      logging:
        - name: Gitaly
          permalink: https://log.gprd.gitlab.net/goto/4f0bd7f08b264e7de970bb0cc9530f9d
        - name: gitlab-shell
          permalink: https://log.gprd.gitlab.net/goto/ba97a9597863f0df1c3b894b44eb1db6
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/7cfb513706cffc0789ad0842674e108a
    observability:
      monitors:
        sentry_slug: gitlab/gitaly-production
        grafana_folder: SRXyrrSmk
        primary_grafana_dashboard: gitaly-main/gitaly-overview

  - name: http-router
    tier: lb
    friendly_name: Cloudflare HTTP Router
    label: HttpRouter
    owner: tenant_scale
    technical:
      project:
        - https://gitlab.com/gitlab-org/cells/router
      documents:
        design:
        architecture: https://docs.gitlab.com/ee/architecture/blueprints/cells/routing-service.html
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/tree/master/http-router
        sre_guide:
        developer_guide:
        service:
        security:
      dependencies:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard:
        sentry_slug:

  - name: influxdb
    tier: inf
    friendly_name: InfluxDB (deprecated)
    label: Influxdb
    owner: scalability:observability
    technical:
      project:
        - https://github.com/influxdata/influxdb
      documents:
        design:
        architecture:
        readiness_review:
        service:
          - https://github.com/influxdata/influxdb/blob/master/README.md
        security: https://docs.influxdata.com/influxdb/v1.7/administration/security/
      dependencies:
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/bf44358a81c549827fd8142a4da59d4a
    observability:
      monitors:
        primary_grafana_dashboard:
        sentry_slug:

  - name: ai-gateway
    tier: sv
    friendly_name: AI Gateway
    label: AIGateway
    owner: code_creation
    technical:
      project:
        - https://gitlab.com/groups/gitlab-org/modelops/applied-ml/code-suggestions
      documents:
        architecture: https://gitlab.com/gitlab-org/modelops/applied-ml/code-suggestions/ai-assist/-/blob/main/docs/architecture.md
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/issues/81
      logging:
        - name: mlops
          permalink: https://log.gprd.gitlab.net/goto/d21f8880-f0a7-11ed-a017-0d32180b1390
        - name: request rate
          permalink: https://log.gprd.gitlab.net/goto/c4faac00-f612-11ed-a017-0d32180b1390
        - name: request latency
          permalink: https://log.gprd.gitlab.net/goto/b423c240-f612-11ed-8afc-c9851e4645c0
    observability:
      monitors:
        primary_grafana_dashboard: ai-gateway-main/ai-gateway-overview

  - name: mailgun
    tier: sv
    friendly_name: Mailgun
    label: mailgun
    owner: reliability_general
    technical:
      logging:
        - name:
          permalink:
      documents:
        sre_guide:
        developer_guide:
    observability:
      monitors:
        grafana_folder: mailgun
        primary_grafana_dashboard: mailgun-main/mailgun-overview

  - name: mailroom
    tier: sv
    friendly_name: Mailroom Incoming Mail Service
    teams:
      - create
      - distribution_deploy
      - geo
      - gitaly
      - manage
      - plan
    label: Mailroom
    owner: reliability_general
    technical:
      project:
        - https://github.com/tpitale/mail_room
      documents:
        design:
        architecture:
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/blob/master/mailroom/overview.md
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/mailroom
        developer_guide: https://docs.gitlab.com/ee/development/emails.html#mailroom-gem-updates
        service:
          - https://github.com/tpitale/mail_room/blob/master/README.md
        security:
      dependencies:
        - service: redis
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/0ce3bf67abafcfc0f81f3d6e7a066912
    observability:
      monitors:
        primary_grafana_dashboard: mailroom-main/mailroom-overview
        sentry_slug:

  - name: web-pages
    tier: sv
    friendly_name: GitLab Pages
    label: Pages
    owner: reliability_general
    business:
      SLA:
        overall_sla_weighting: 0 # Treated as a primary service, but with a zero weight for now
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab-pages
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/web-pages
        developer_guide: https://docs.gitlab.com/ee/development/pages/
        service:
          - https://gitlab.com/gitlab-org/gitlab-pages/blob/master/README.md
        security:
      dependencies:
      logging:
        - name: Pages
          permalink: https://log.gprd.gitlab.net/goto/00a732029c1448a741c8730c04038fd9
        - name: haproxy
          permalink: https://console.cloud.google.com/logs/viewer?project=gitlab-production&interval=PT1H&resource=gce_instance&customFacets=labels.%22compute.googleapis.com%2Fresource_name%22&advancedFilter=labels.tag%3D%22haproxy%22%0Alabels.%22compute.googleapis.com%2Fresource_name%22%3A%22fe-pages-%22
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/3384c89c5a828db866d2fa8ec86cd97f
        - name: Kubernetes
          permalink: https://log.gprd.gitlab.net/goto/f12db328608ead73063861ce1a53822b
    observability:
      monitors:
        grafana_folder: web-pages
        primary_grafana_dashboard: web-pages-main/web-pages-overview

  - name: pgbouncer
    tier: db
    friendly_name: PGBouncer Primary Database Pool
    label: Pgbouncer
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/pgbouncer/pgbouncer
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/pgbouncer
        developer_guide:
        service:
          - https://pgbouncer.github.io/features.html
        security:
      dependencies:
        - service: postgres
      logging:
        - name: pgbouncer
          permalink: https://log.gprd.gitlab.net/goto/3fb9391e5ef07b47aac2fce6fda175d9
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/ae311f6f133cc1c45b62541977081043
    observability:
      monitors:
        grafana_folder: pgbouncer
        primary_grafana_dashboard: pgbouncer-main/pgbouncer-overview

  - name: pgbouncer-registry
    tier: db
    friendly_name: Registry PGBouncer Primary Database Pool
    label: PgbouncerRegistry
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/pgbouncer/pgbouncer
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/pgbouncer-registry
        developer_guide:
        readiness_review:
        service:
          - https://pgbouncer.github.io/features.html
        security:
      dependencies:
        - service: postgres
      logging:
        - name: pgbouncer
          permalink: https://log.gprd.gitlab.net/goto/3fb9391e5ef07b47aac2fce6fda175d9
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/ae311f6f133cc1c45b62541977081043
    observability:
      monitors:
        grafana_folder: pgbouncer-registry
        primary_grafana_dashboard: pgbouncer-main/pgbouncer-overview

  - name: pgbouncer-embedding
    tier: db
    friendly_name: Embedding PGBouncer Primary Database Pool
    label: PgbouncerEmbedding
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/pgbouncer/pgbouncer
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/pgbouncer-embedding
        developer_guide:
        readiness_review:
        service:
          - https://pgbouncer.github.io/features.html
        security:
      dependencies:
        - service: postgres
      logging:
        - name: pgbouncer
          permalink: https://log.gprd.gitlab.net/goto/3fb9391e5ef07b47aac2fce6fda175d9
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/ae311f6f133cc1c45b62541977081043
    observability:
      monitors:
        grafana_folder: pgbouncer-embedding
        primary_grafana_dashboard: pgbouncer-main/pgbouncer-overview

  - name: pgbouncer-ci
    tier: db
    friendly_name: CI PGBouncer Primary Database Pool
    label: pgbouncerCI
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/pgbouncer/pgbouncer
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/pgbouncer-ci
        developer_guide:
        service:
          - https://pgbouncer.github.io/features.html
        security:
      dependencies:
        - service: postgres
      logging:
        - name: pgbouncer
          permalink: https://log.gprd.gitlab.net/goto/3fb9391e5ef07b47aac2fce6fda175d9
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/ae311f6f133cc1c45b62541977081043
    observability:
      monitors:
        grafana_folder: pgbouncer-ci
        primary_grafana_dashboard: pgbouncer-main/pgbouncer-overview

  - name: patroni
    tier: db
    friendly_name: Postgres (Patroni)
    label: Patroni
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/postgres/postgres
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/patroni
        developer_guide:
        service:
          - https://www.postgresql.org/docs/9.6/index.html
        security: https://www.postgresql.org/support/security/
      dependencies:
        - service: consul
      components:
        - patroni
      logging:
        - name: Postgres
          permalink: https://log.gprd.gitlab.net/goto/d0f8993486c9007a69d85e3a08f1ea7c
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/3669d551a595a3a5cf1e9318b74e6c22
    observability:
      monitors:
        grafana_folder: RNfEDpLmz
        primary_grafana_dashboard: patroni-main/patroni-overview

  - name: patroni-registry
    tier: db
    friendly_name: Registry Postgres (Patroni)
    label: PatroniRegistry
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/postgres/postgres
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/patroni-registry
        developer_guide:
        service:
          - https://www.postgresql.org/docs/9.6/index.html
        security: https://www.postgresql.org/support/security/
      dependencies:
        - service: consul
      components:
        - patroni
      logging:
        - name: Postgres
          permalink: https://log.gprd.gitlab.net/goto/d0f8993486c9007a69d85e3a08f1ea7c # TODO: Update when provisioned in gprd
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/3669d551a595a3a5cf1e9318b74e6c22 # TODO: Update when provisioned in gprd
    observability:
      monitors:
        grafana_folder: RNfEDpLmz # TODO: Update when provisioned
        primary_grafana_dashboard: patroni-main/patroni-overview

  - name: patroni-embedding
    tier: db
    friendly_name: Embedding Postgres (Patroni)
    label: PatroniEmbedding
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/postgres/postgres
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/patroni-embedding
        developer_guide:
        service:
          - https://www.postgresql.org/docs/9.6/index.html
        security: https://www.postgresql.org/support/security/
      dependencies:
        - service: consul
      components:
        - patroni
      logging:
        - name: Postgres
          permalink: https://log.gprd.gitlab.net/goto/d0f8993486c9007a69d85e3a08f1ea7c # TODO: Update when provisioned in gprd
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/3669d551a595a3a5cf1e9318b74e6c22 # TODO: Update when provisioned in gprd
    observability:
      monitors:
        grafana_folder: RNfEDpLmz # TODO: Update when provisioned
        primary_grafana_dashboard: patroni-main/patroni-overview

  - name: patroni-ci
    tier: db
    friendly_name: CI Postgres (Patroni)
    label: PatroniCI
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/postgres/postgres
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/patroni-ci
        developer_guide:
        service:
          - https://www.postgresql.org/docs/9.6/index.html
        security: https://www.postgresql.org/support/security/
      dependencies:
        - service: consul
      components:
        - patroni
      logging:
        - name: Postgres
          permalink: https://log.gprd.gitlab.net/goto/d0f8993486c9007a69d85e3a08f1ea7c # TODO: Update when provisioned in gprd
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/3669d551a595a3a5cf1e9318b74e6c22 # TODO: Update when provisioned in gprd
    observability:
      monitors:
        grafana_folder: RNfEDpLmz # TODO: Update when provisioned
        primary_grafana_dashboard: patroni-ci-main/patroni-ci-overview

  - name: plantuml
    tier: sv
    friendly_name: PlantUML
    label: PlantUML
    owner: reliability_general
    technical:
      project:
        - https://plantuml.com/
      documents:
        design:
        architecture: https://docs.gitlab.com/ee/administration/integration/plantuml.html
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/blob/master/plantuml/overview.md
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/plantuml
        developer_guide: https://docs.gitlab.com/ee/administration/integration/plantuml.html#enable-plantuml-integration
        service:
        security: https://www.postgresql.org/support/security/
      dependencies:
      components:
      logging:
        - name: Access Logs
          permalink: https://console.cloud.google.com/logs/query;query=resource.labels.target_proxy_name%3D%22k8s-tps-plantuml-plantuml--58df01f69d082883%22%0Aresource.type%3D%22http_load_balancer%22;timeRange=PT30M?project=gitlab-production
    observability:
      monitors:
        grafana_folder: plantuml
        primary_grafana_dashboard: plantuml-main/plantuml-overview

  - name: postgres-archive
    tier: db
    friendly_name: Postgres DR Archive
    label: PostgresArchive
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/postgres/postgres
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/postgres-archive
        developer_guide:
        service:
          - https://www.postgresql.org/docs/9.6/index.html
        security: https://www.postgresql.org/support/security/
      dependencies:
      logging:
        - name: postgres
          permalink: https://log.gprd.gitlab.net/goto/0b7a4ff726bfd3e4eb4b51da82979efc
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/4a5ab78f128dcf1b40ad16b75e521609
    observability:
      monitors:
        grafana_folder: RNfEDpLmz
        primary_grafana_dashboard: 000000144/postgresql-overview

  - name: postgres-dr-delayed
    tier: db
    friendly_name: Postgres DR Delayed Replica
    label: PostgresDelayed
    owner: reliability_database_reliability
    technical:
      project:
        - https://github.com/postgres/postgres
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#database-architecture
        readiness_review:
        service:
          - https://www.postgresql.org/docs/9.6/index.html
        security: https://www.postgresql.org/support/security/
      dependencies:
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/3fea946a232d2288e90e575c912fa3e7
    observability:
      monitors:
        grafana_folder: RNfEDpLmz
        primary_grafana_dashboard: 000000144/postgresql-overview

  - name: psql-timings
    tier: inf
    friendly_name: PSQL Timings
    label: PsqlTimings
    owner: reliability_database_reliability
    technical:
      project:
      documents:
        design:
        architecture:
        readiness_review:
        service:
          - https://gitlab.com/gitlab-org/gitlab-ce/blob/master/config/initializers/rspec_profiling.rb
          - https://github.com/foraker/rspec_profiling
          - https://gitlab.com/gitlab-com/gitlab-profiler
        security:
      dependencies:
        - service:
      logging:
        - name: PostgreSQL
          permalink: /var/log/postgresql/postgresql-9.5-main.log
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:

  - name: monitoring
    tier: inf
    friendly_name: Monitoring
    label: Prometheus
    owner: scalability:observability
    technical:
      project:
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/tanka-deployments
      documents:
        design:
        architecture: https://github.com/prometheus/prometheus/blob/7632e976c0617f6206565541c6d91c02c6e12ed5/README.md#architecture-overview
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/monitoring
        developer_guide: https://docs.gitlab.com/ee/development/prometheus_metrics
        service:
          - https://github.com/prometheus/prometheus/blob/7632e976c0617f6206565541c6d91c02c6e12ed5/README.md
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/3a0b51d10d33c9558765e97640acb325
        - name: monitoring
          permalink: https://log.gprd.gitlab.net/goto/09f7c84d5f36e3df0d03382dc350cddf
    observability:
      monitors:
        grafana_folder: monitoring
        primary_grafana_dashboard: monitoring-main/monitoring-overview

  - name: thanos
    tier: inf
    friendly_name: thanos
    label: Thanos
    owner: scalability:observability
    technical:
      project:
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/tanka-deployments
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/gitlab-helmfiles
      documents:
        design:
        architecture: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/thanos/architecture.md
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/thanos
        developer_guide:
        service:
          - https://thanos.io/tip/thanos/design.md/#architecture
        security:
      dependencies:
        - service: prometheus
        - service: google-cloud-storage
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/3a0b51d10d33c9558765e97640acb325
        - name: gstg
          permalink: https://nonprod-log.gitlab.net/goto/73178d30-ab9a-11ed-9af2-6131f0ee4ce6
        - name: ops
          permalink: https://nonprod-log.gitlab.net/goto/c3052140-ab9a-11ed-9af2-6131f0ee4ce6
        - name: pre
          permalink: https://nonprod-log.gitlab.net/goto/f5420010-ab9a-11ed-9af2-6131f0ee4ce6
    observability:
      monitors:
        grafana_folder: thanos
        primary_grafana_dashboard: thanos-main/thanos-overview

  - name: redis
    tier: db
    friendly_name: Persistent Redis
    label: Redis
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: Redis
          permalink: https://log.gprd.gitlab.net/goto/27a6bf4e347ef9da754f06eb0a54aedc
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/e107ce00a9adede2e130d0c8ec1a2ac7
    observability:
      monitors:
        grafana_folder: redis
        primary_grafana_dashboard: redis-main/redis-overview

  - name: redis-pubsub
    tier: db
    friendly_name: Redis Pub/Sub
    label: RedisPubsub
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis-pubsub
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://gitlab.com/gitlab-cookbooks/gitlab-redis-cluster
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink:
    observability:
      monitors:
        grafana_folder: redis
        primary_grafana_dashboard: redis-pubsub-main/redis-pubsub-overview

  - name: redis-cluster-shared-state
    tier: db
    friendly_name: Redis Cluster SharedState
    label: RedisClusterSharedState
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis-cluster-shared-state
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://gitlab.com/gitlab-cookbooks/gitlab-redis-cluster
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: redis-cluster-shared-state-main/redis-cluster-shared-state-overview

  - name: redis-cluster-feature-flag
    tier: db
    friendly_name: Redis Cluster Feature Flag
    label: RedisClusterFeatureFlag
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis-cluster-feature-flag
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: redis-cluster-feature-flag-main/redis-cluster-feature-flag-overview

  - name: redis-cluster-cache
    tier: db
    friendly_name: Redis Cluster Cache
    label: RedisClusterCache
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis-cache
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: redis-cluster-cache-main/redis-cluster-cache-overview

  - name: redis-cluster-ratelimiting
    tier: db
    friendly_name: Redis Cluster RateLimiting
    label: RedisClusterRateLimiting
    owner: scalability:practices
    technical:
      project:
        - https://github.com/redis/redis
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide:
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: redis-cluster-ratelimiting-main/redis-cluster-ratelimiting-overview

  - name: redis-cluster-chat-cache
    tier: db
    friendly_name: Redis Cluster Chat Cache
    label: RedisClusterChatCache
    owner: scalability:practices
    technical:
      project:
        - https://github.com/redis/redis
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/redis/redis-cluster.md
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: redis-cluster-chat-cache-main/redis-cluster-chat-cache-overview

  - name: redis-cluster-repo-cache
    tier: db
    friendly_name: Redis Cluster Repo Cache
    label: RedisClusterRepoCache
    owner: scalability:practices
    technical:
      project:
        - https://github.com/redis/redis
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/redis/redis-cluster.md
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: redis-cluster-repo-cache-main/redis-cluster-repo-cache-overview

  - name: redis-sessions
    tier: db
    friendly_name: Redis Sessions
    label: RedisSessions
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis-sessions
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/e9073e6e3b9eb444a47e2a396d711c22
    observability:
      monitors:
        primary_grafana_dashboard: redis-sessions-main/redis-sessions-overview

  - name: redis-sidekiq
    tier: db
    friendly_name: Redis Sidekiq
    label: RedisSidekiq
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis-sidekiq
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/80a1ff609f91b0fb2b770a3a70784be0
    observability:
      monitors:
        primary_grafana_dashboard: redis-sidekiq-main/redis-sidekiq-overview

  - name: redis-cluster-queues-meta
    tier: db
    friendly_name: Redis Cluster Queues Meta
    label: RedisClusterQueuesMeta
    owner: scalability:practices
    technical:
      project:
        - https://github.com/redis/redis
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/redis/redis-cluster.md
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: redis-cluster-queues-meta-main/redis-cluster-queues-meta-overview

  - name: redis-tracechunks
    tier: db
    friendly_name: Redis TraceChunks
    label: RedisTraceChunks
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis-tracechunks
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/a10c2cd2b710f9eb65b13b9a2a328d51
    observability:
      monitors:
        primary_grafana_dashboard: redis-tracechunks-main/redis-tracechunks-overview

  - name: redis-registry-cache
    tier: db
    friendly_name: Redis Registry Cache
    label: RedisRegistryCache
    owner: scalability:practices
    technical:
      project:
        - https://github.com/antirez/redis/
      documents:
        design:
        architecture:
        readiness_review:
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: Redis
          permalink: https://log.gprd.gitlab.net/goto/04b1f050-44d0-11ed-8d37-e9a2f393ea2a
    observability:
      monitors:
        primary_grafana_dashboard: redis-registry-cache-main/redis-registry-cache-overview

  - name: redis-db-load-balancing
    tier: db
    friendly_name: Redis Database Load Balancing
    label: RedisDbLoadBalancing
    owner: scalability:practices
    technical:
      project:
        - https://github.com/redis/redis
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/redis-cache
        developer_guide: https://docs.gitlab.com/ee/development/redis.html#redis-guidelines
        service:
          - https://redis.io/documentation
          - https://docs.gitlab.com/omnibus/settings/redis.html
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/e6a0f170-a8ce-11ed-85ed-e7557b0a598c
    observability:
      monitors:
        primary_grafana_dashboard: redis-db-load-balancing-main/redis-db-load-balancing-overview

  - name: registry
    tier: sv
    friendly_name: Container Registry
    teams:
      - package
    label: Registry
    owner: reliability_general
    business:
      SLA:
        overall_sla_weighting: 1 # If this exists, this service will be included in the overall SLA, using this value as a weighted average
    technical:
      project:
        - https://github.com/docker/distribution
      documents:
        design:
        architecture:
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/blob/master/registry-gke/overview.md
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/registry
        developer_guide: https://docs.gitlab.com/ee/development/packages/#package-registry-development
        service:
          - https://github.com/docker/distribution/blob/364d2e4a5bed94e9393dd88232ea3be29ca8f27a/README.md
        security:
      dependencies:
        - service: web # For JWT authentication
      logging:
        - name: Registry
          permalink: https://log.gprd.gitlab.net/goto/9ec8a738ca23a17a9d7b61b4c3a9c96e
        - name: haproxy
          permalink: https://console.cloud.google.com/logs/viewer?project=gitlab-production&interval=PT1H&resource=gce_instance&customFacets=labels.%22compute.googleapis.com%2Fresource_name%22&advancedFilter=labels.tag%3D%22haproxy%22%0Alabels.%22compute.googleapis.com%2Fresource_name%22%3A%22fe-registry-%22
        - name: Kubernetes
          permalink: https://log.gprd.gitlab.net/goto/d614a5576099ff797be559c89fe88baa
    observability:
      monitors:
        grafana_folder: Ymoh2MEmk
        primary_grafana_dashboard: registry-main/registry-overview

  - name: runway
    tier: inf
    friendly_name: Runway Platform
    label: Runway
    owner: scalability:practices
    technical:
      project:
        - https://gitlab.com/gitlab-com/gl-infra/platform/runway
      documents:
        design:
        architecture: https://gitlab.com/gitlab-com/gl-infra/platform/runway/docs/-/blob/master/architecture.md
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/merge_requests/180
        sre_guide: https://gitlab.com/gitlab-com/gl-infra/platform/runway/docs/-/blob/master/scalability.md
        developer_guide: https://gitlab-com.gitlab.io/gl-infra/platform/runway/runwayctl/manifest.schema.html
        service:
        security:
      logging:
        - name: stackdriver
          permalink: https://console.cloud.google.com/logs
      dependencies:
        - service:
    observability:
      monitors:
        primary_grafana_dashboard: runway-main/runway-overview

  - name: nat
    tier: inf
    friendly_name: NAT
    label: NAT
    owner: reliability_foundations
    technical:
      project:
      documents:
        design: https://cloud.google.com/nat/docs/overview
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/nat
        developer_guide:
        service:
        security:
      logging:
        - name: dropped packet logs
          permalink: https://cloudlogging.app.goo.gl/XvxRJx3ECzThD87x7
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard: nat-main/nat-overview

  - name: sentry
    tier: inf
    friendly_name: Monitoring
    label: Sentry
    owner: scalability:observability
    technical:
      project:
        - https://github.com/getsentry/sentry
      documents:
        design:
        architecture: A single VM node running the services needed for Sentry, mainly PostgreSQL, Redis Server, and Prometheus for monitoring.
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/sentry
        developer_guide: https://docs.gitlab.com/ee/operations/error_tracking.html
        service:
        security:
      dependencies:
        - service:
      logging:
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/b4618f79f80f44cb21a32623a275a0e6
    observability:
      monitors:
        grafana_folder: sentry
        primary_grafana_dashboard: sentry-main/sentry-overview

  - name: sidekiq
    tier: sv
    friendly_name: Sidekiq Background Jobs
    teams:
      - create
      - distribution_deploy
      - geo
      - gitaly
      - manage
      - plan
    label: Sidekiq
    owner: scalability:practices
    business:
      SLA:
        overall_sla_weighting: 0 # Treated as a primary service, but with a zero weight for now
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab-ce
        - https://gitlab.com/gitlab-org/gitlab-ee
      documents:
        design:
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#service-architecture
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/blob/master/sidekiq/index.md
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/sidekiq
        developer_guide: https://docs.gitlab.com/ee/development/sidekiq/#sidekiq-guides
        service:
          - https://github.com/mperham/sidekiq/blob/master/README.md
        security:
      dependencies:
        - service: postgres
        - service: gitaly
        - service: redis
      logging:
        - name: Sidekiq
          permalink: https://log.gprd.gitlab.net/goto/d7e4791e63d2a2b192514ac821c9f14f
        - name: Rails
          permalink: https://log.gprd.gitlab.net/goto/86fbcd537588abef69339a352ef81d72
        - name: Puma
          permalink: https://log.gprd.gitlab.net/goto/a2601cff0b6f000339e05cdb9deab58b
        - name: Unstructured
          permalink: https://console.cloud.google.com/logs/viewer?project=gitlab-production&interval=PT1H&resource=gce_instance&advancedFilter=jsonPayload.hostname%3A%22sidekiq%22%0Alabels.tag%3D%22unstructured.production%22&customFacets=labels.%22compute.googleapis.com%2Fresource_name%22
        - name: system
          permalink: https://log.gprd.gitlab.net/goto/72d0f3fdfd8db18db9800cc04d8b6f55
    observability:
      monitors:
        grafana_folder: c7nMugpmz
        primary_grafana_dashboard: sidekiq-main/sidekiq-overview
        sentry_slug: gitlab/gitlabcom/?query=program%3A%22sidekiq%22

  - name: version
    tier: sv
    friendly_name: version.gitlab.com
    label: Version
    owner: reliability_general
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab-services/version.gitlab.com
      documents:
        design:
        architecture:
        readiness_review:
        service:
          - https://gitlab.com/gitlab-org/gitlab-services/version.gitlab.com/-/blob/main/README.md
        security:
      dependencies:
      logging:
        - name: production.log
          permalink: /var/log/version/
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:
        sentry_slug:

  - name: about
    tier: sv
    friendly_name: about.gitlab.com
    label: About
    owner: reliability_general
    technical:
      project:
        - https://gitlab.com/gitlab-com/www-gitlab-com
      documents:
        design:
        architecture:
        readiness_review:
        service:
          - https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/uncategorized/about-gitlab-com.md
        security:
      dependencies:
      logging:
        - name: stackdriver
          permalink: https://console.cloud.google.com/logs
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:
        sentry_slug:

  - name: design
    tier: sv
    friendly_name: design.gitlab.com
    label: Design
    owner: reliability_general
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab-services/design.gitlab.com
      documents:
        design:
        architecture:
        readiness_review:
        service:
          - https://gitlab.com/gitlab-org/gitlab-services/design.gitlab.com/blob/master/README.md
        security:
      dependencies:
      logging:
        - name: production.log
          permalink: /var/log/version/
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:
        sentry_slug:

  - name: pubsub
    tier: inf
    friendly_name: Pubsub for Logging
    label: PubSub
    owner: scalability:observability
    technical:
      project:
        - https://cloud.google.com/pubsub/docs/overview
        - https://ops.gitlab.net/gitlab-com/gl-infra/terraform-modules/google/pubsubbeat
        - https://gitlab.com/gitlab-cookbooks/gitlab-elk
        - https://gitlab.com/gitlab-com/runbooks/tree/master/legacy-prometheus-rules/pubsub.yml
        - https://gitlab.com/gitlab-com/runbooks/tree/master/legacy-prometheus-rules/gitaly.yml
        - https://gitlab.com/gitlab-com/runbooks/blob/master/howto/logging.md
      documents:
        design:
        architecture:
        readiness_review:
        service:
        security:
      dependencies:
        - service:
          type:
      logging:
        - name: stackdriver
          permalink: https://console.cloud.google.com/logs
        - name: multiple indexes in Kibana
          permalink: https://log.gprd.gitlab.net/goto/2fc394521558a0bfed59f791295ffe51
    observability:
      monitors:
        primary_grafana_dashboard: USVj3qHmk/logging
        sentry_slug:
      alerts:
        - alert_link:

  - name: ci-runners
    tier: sv
    friendly_name: CI Runners
    label: CI Runners
    owner: scalability:practices
    business:
      SLA:
        overall_sla_weighting: 0 # Treated as a primary service, but with a zero weight for now
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab-runner
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/ci-runners
        developer_guide: https://docs.gitlab.com/runner/development/#contribute-to-gitlab-runner-development
        service:
          - https://gitlab.com/gitlab-org/gitlab-runner/blob/master/README.md
        security: https://gitlab.com/gitlab-org/gitlab-runner/blob/master/docs/security/index.md
      dependencies:
      logging:
        - name: shared runners
          permalink: https://log.gprd.gitlab.net/goto/b9aed2474a7ffe194a10d4445a02893a
    observability:
      monitors:
        grafana_folder: bpcbFeIiz
        primary_grafana_dashboard: ci-runners-main/ci-runners-overview
      alerts:
        - alert_link: https://alerts.gitlab.net/#/alerts?silenced=false&inhibited=false&filter=%7Bchannel%3D%22ci-cd%22%7D

  - name: stackdriver
    tier: inf
    friendly_name: Stackdriver Metrics
    label: Stackdriver
    owner: scalability:observability
    technical:
      project:
      documents:
        design:
        architecture:
        readiness_review:
        service:
        security:
      dependencies:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: USVj3qHmk/logging
        sentry_slug:

  - name: cloudflare
    tier: lb
    friendly_name: Cloudflare Web Application Firewall
    label: cloudflare
    owner: reliability_foundations
    technical:
      project:
      documents:
        design:
        architecture:
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/tree/master/cloudflare
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/cloudflare
        developer_guide:
        service:
        security:
      dependencies:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: cloudflare-main
        sentry_slug:

  - name: vault
    tier: inf
    friendly_name: Hashicorp Vault for Infrastructure
    label: Vault
    owner: reliability_foundations
    technical:
      project:
      documents:
        design:
        architecture:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/vault
        developer_guide:
        service:
        security:
      dependencies:
      logging:
        - name: Vault
          permalink: https://nonprod-log.gitlab.net/goto/331c9c10-21df-11ed-af31-918941b0065a
    observability:
      monitors:
        primary_grafana_dashboard: vault-main/vault-overview

  - name: jaeger
    tier: inf
    friendly_name: Jaeger
    label: Jaeger
    owner: scalability:observability
    technical:
      project:
        - https://www.jaegertracing.io/
        - https://github.com/jaegertracing/jaeger
        - https://github.com/jaegertracing/jaeger-operator
        - https://docs.gitlab.com/ee/development/distributed_tracing.html
      documents:
        design:
        architecture: https://www.jaegertracing.io/docs/latest/architecture/
        readiness_review: TBD
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/jaeger
        developer_guide: https://docs.gitlab.com/ee/development/distributed_tracing.html
        service:
          - https://www.jaegertracing.io/docs/latest/
        security: https://www.jaegertracing.io/docs/latest/security/
      dependencies:
        - service: elasticsearch
      logging:
        - name: Jaeger
          permalink: TBD
    observability:
      monitors:
        primary_grafana_dashboard: jaeger-main/jaeger-overview

  - name: woodhouse
    tier: sv
    friendly_name: Woodhouse
    label: Woodhouse
    owner: reliability_general
    technical:
      project:
        - https://gitlab.com/gitlab-com/gl-infra/woodhouse
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/woodhouse
        developer_guide: https://gitlab.com/gitlab-com/gl-infra/woodhouse/-/blob/master/README.md
        service:
        security:
      dependencies:
      logging:
        - name: Woodhouse
          permalink: https://console.cloud.google.com/logs/viewer?project=gitlab-ops&minLogLevel=0&expandAll=false
    observability:
      monitors:
        primary_grafana_dashboard: woodhouse/woodhouse-overview

  - name: kas
    tier: sv
    friendly_name: Kubernetes Agent
    label: KAS
    owner: deploy_environments
    technical:
      project:
        - https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent
      documents:
        design:
        architecture: https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent/-/blob/master/doc/architecture.md#high-level-architecture
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/tree/master/kubernetes-agent
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/kas
        developer_guide: https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent/-/blob/master/doc/developing.md
        service:
          - https://docs.gitlab.com/ee/user/clusters/agent/
        security:
      dependencies:
        - service: api
        - service: gitaly
        - service: redis
      logging:
        - name: kas
          permalink: https://log.gprd.gitlab.net/goto/b8204a41999cc1a136fa12c885ce8d22
    observability:
      monitors:
        primary_grafana_dashboard: kas/kas

  - name: websockets
    tier: sv
    friendly_name: Websockets
    label: Websockets
    owner: reliability_general
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab
        - https://gitlab.com/gitlab-org/gitlab-workhorse
      documents:
        design:
        architecture: TBD
        readiness_review: TBD
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/websockets
        developer_guide: https://docs.gitlab.com/ee/development/workhorse/channel.html#introduction-to-websockets
        service:
          - TBD
        security:
      dependencies:
      logging:
        - name: websockets
          permalink: TBD
    observability:
      monitors:
        primary_grafana_dashboard: websockets/websockets

  - name: ai-assisted
    tier: sv
    friendly_name: AI-Assisted
    label: AI-Assisted
    owner: reliability_general
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab
        - https://gitlab.com/gitlab-org/gitlab-workhorse
      documents:
        design:
        architecture: TBD
        readiness_review: TBD
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/ai-assisted
        developer_guide: https://docs.gitlab.com/ee/development/workhorse/channel.html
        service:
          - TBD
        security:
      dependencies:
      logging:
        - name: ai-assisted
          permalink: TBD
    observability:
      monitors:
        primary_grafana_dashboard: ai-assisted/ai-assisted

  - name: cloud-sql
    tier: inf
    friendly_name: Google Cloud SQL
    label: CloudSQL
    owner: reliability_database_reliability
    technical:
      project:
      documents:
        design: https://cloud.google.com/sql/docs/features#postgres
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/cloud-sql
        developer_guide:
        service:
        security:
      logging:
        - name: Cloud SQL logs
          permalink: https://cloudlogging.app.goo.gl/uJN6NWcjtK8mwaN89
    observability:
      monitors:
        grafana_folder: cloud-sql
        primary_grafana_dashboard: cloud-sql-main/cloud-sql-overview

  - name: external-dns
    tier: sv
    friendly_name: ExternalDNS
    label: ExternalDNS
    owner: reliability_foundations
    technical:
      project:
        - https://github.com/kubernetes-sigs/external-dns
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/gitlab-helmfiles/-/tree/master/releases/external-dns
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/external-dns
        developer_guide:
        service:
        security:
      dependencies:
      logging:
        - name: Stackdriver logs
          permalink: https://cloudlogging.app.goo.gl/UY7qbsc5KoZZALtT7
    observability:
      monitors:
        primary_grafana_dashboard: external-dns-main/external-dns-overview

  - name: gitlab-com-artifact-registry
    tier: inf
    friendly_name: Artifact Registry
    label: ArtifactRegistry
    owner: reliability_general
    technical:
      project:
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/gitlab-com-artifact-registry
        developer_guide:
        service:
        security:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:

  - name: gitlab-com-pkgs
    tier: inf
    friendly_name: Package GCS Bucket
    label: PackageGCSBucket
    owner: reliability_general
    technical:
      project:
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/gitlab-com-pkgs
        developer_guide:
        service:
        security:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:

  - name: packagecloud
    tier: inf
    friendly_name: PackageCloud (packages.gitlab.com)
    label: PackageCloud
    owner: reliability_general
    technical:
      project:
        - https://gitlab.com/gitlab-com/gl-infra/charts/-/tree/main/gitlab/packagecloud
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/gitlab-helmfiles/-/tree/master/releases/packagecloud
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/uncategorized/packagecloud-infrastructure.md
        developer_guide:
        service:
        security:
      logging:
        - name: ops
          permalink: https://nonprod-log.gitlab.net/app/r/s/xBFHH
        - name: pre
          permalink: https://nonprod-log.gitlab.net/app/r/s/5ATui
    observability:
      monitors:
        grafana_folder: packagecloud
        primary_grafana_dashboard: packagecloud-main/packagecloud-overview

  - name: internal-api
    friendly_name: GitLab Internal API
    tier: sv
    teams:
      - create
      - distribution_deploy
      - geo
      - manage
      - plan
    label: Internal-API
    owner: reliability_general
    business:
      SLA:
        overall_sla_weighting: 5
    technical:
      project:
        - https://gitlab.com/gitlab-org/gitlab
      documents:
        design: https://gitlab.com/groups/gitlab-com/gl-infra/-/epics/879
        architecture: https://about.gitlab.com/handbook/engineering/infrastructure/production-architecture/#service-architecture
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/delivery/-/issues/2787
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/internal-api
        developer_guide: https://docs.gitlab.com/ee/development/internal_api
        service:
          - https://docs.gitlab.com/ce/api/
          - https://docs.gitlab.com/ee/api/
        security:
      dependencies:
        - service: consul
        - service: postgres
        - service: gitaly
        - service: redis
      logging:
        - name: Rails
          permalink: https://log.gprd.gitlab.net/goto/82dff8e0-a6d3-11ed-9f43-e3784d7fe3ca
        - name: Workhorse
          permalink: https://log.gprd.gitlab.net/goto/624babb0-a6d3-11ed-9f43-e3784d7fe3ca
        - name: Kubernetes
          permalink: https://log.gprd.gitlab.net/goto/ecea3b70-a6d2-11ed-85ed-e7557b0a598c
    observability:
      monitors:
        primary_grafana_dashboard: internal-api-main/internal-api-overview
        sentry_slug: gitlab/gitlabcom/?query=program%3A%22rails%22

  - name: switchboard
    friendly_name: Switchboard
    tier: sv
    teams:
      - dedicated
    label: Switchboard
    owner: dedicated
    technical:
      project:
        - https://gitlab.com/gitlab-com/gl-infra/gitlab-dedicated/switchboard
      documents:
        architecture: https://gitlab.com/gitlab-com/gl-infra/gitlab-dedicated/team/-/blob/main/architecture/Architecture.md#managing-gitlab-dedicated
      logging:
        - name: Rails
          permalink: https://eu-central-1.console.aws.amazon.com/cloudwatch/home?region=eu-central-1#logsV2:log-groups/log-group/production-switchboard

  - name: ops-gitlab-net
    tier: sv
    friendly_name: ops.gitlab.net
    label: OpsGitlabNet
    owner: reliability_foundations
    technical:
      project:
        - https://gitlab.com/gitlab-com/gl-infra/k8s-workloads/gitlab-helmfiles/-/tree/master/releases/gitlab
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide:
        developer_guide:
        service:
        security:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        grafana_folder: ops-gitlab-net
        primary_grafana_dashboard: ops-gitlab-net-main/ops-gitlab-net-overview

  - name: istio
    tier: inf
    friendly_name: Istio
    label: Istio
    owner: reliability_foundations
    technical:
      project:
        - https://github.com/istio/istio
      documents:
        design:
        architecture: https://istio.io/latest/docs/ops/deployment/architecture/
        readiness_review: TBD
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/istio
        developer_guide:
        service:
          - https://gitlab.com/gitlab-com/gl-infra/k8s-mgmt/components/-/tree/main/istio
        security: https://istio.io/latest/docs/concepts/security/
      dependencies:
      logging:
        - name: istiod (Control Plane)
          permalink: https://dashboards.gitlab.net/goto/thvr5ISSR?orgId=1
        - name: istio-gateway
          permalink: https://dashboards.gitlab.net/goto/OAw6cISSR?orgId=1
        - name: istio-internal-gateway
          permalink: https://dashboards.gitlab.net/goto/IdERpIISR?orgId=1
        - name: istio-cni-node
          permalink: https://dashboards.gitlab.net/goto/sdWmpISSg?orgId=1
    observability:
      monitors:
        grafana_folder: istio
        primary_grafana_dashboard: istio-istio_control_plane/istio-istio-control-plane-dashboard

  - name: gitlab-static
    tier: inf
    friendly_name: gitlab-static.net zone hosted on Cloudflare
    label: GitlabStaticNet
    owner: reliability_general
    technical:
      project:
      documents:
        design:
        architecture:
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/tree/master/gitlab-static
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/gitlab-static
        developer_guide:
        service:
        security:
      dependencies:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: gitlab-static-main
        sentry_slug:

  - name: omnibus
    tier: inf
    friendly_name: GitLab Omnibus Package
    label: omnibus
    owner: reliability_general
    teams:
      - distribution_deploy
    technical:
      project:
        - https://gitlab.com/gitlab-org/omnibus-gitlab
      documents:
        design:
        architecture: https://docs.gitlab.com/omnibus/architecture/
        readiness_review:
        sre_guide:
        developer_guide: https://gitlab.com/gitlab-org/omnibus-gitlab/-/blob/master/doc/development/index.md
        service:
        security:
      dependencies:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        primary_grafana_dashboard: gitlab-omnibus-versions
        sentry_slug:

  - name: memorystore
    tier: inf
    friendly_name: Google Cloud Memorystore
    label: GoogleCloudMemorystore
    owner: reliability_foundations
    technical:
      project:
      documents:
        design: https://cloud.google.com/memorystore
        architecture:
        readiness_review:
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/memorystore
        developer_guide:
        service:
        security:
      logging:
        - name: Google Cloud Memorystore Logs
          permalink: https://cloudlogging.app.goo.gl/n6GuqLwLek4w5LBv8
    observability:
      monitors:
        grafana_folder: memorystore
        primary_grafana_dashboard: memorystore-main/memorystore-overview
  - name: loki
    tier: inf
    friendly_name: Grafana Loki
    label: Loki
    owner: scalability:observability
    technical:
      project:
      documents:
        design:
        architecture:
        readiness_review:
        sre_guide:
        developer_guide:
        service:
        security:
      logging:
        - name:
          permalink:
    observability:
      monitors:
        grafana_folder:
        primary_grafana_dashboard:
  - name: mimir
    tier: inf
    friendly_name: Grafana Mimir
    label: Mimir
    owner: scalability:observability
    technical:
      project:
      documents:
        design:
        architecture: https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/mimir/README.md?ref_type=heads#architecture
        readiness_review: https://gitlab.com/gitlab-com/gl-infra/readiness/-/merge_requests/214
        sre_guide: https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/mimir/README.md?ref_type=heads#runbooks
        developer_guide:
        service:
        security:
      logging:
        - name: Elasticsearch
          permalink: https://nonprod-log.gitlab.net/app/r/s/BLV6G
    observability:
      monitors:
        grafana_folder: Mimir
        primary_grafana_dashboard: mimir-main/mimir3a-overview

  - name: glgo
    tier: sv
    friendly_name: Identity layer service for the Google Cloud integration
    label: glgo
    teams:
      - container_registry
    owner: container_registry
    technical:
      project:
        - https://gitlab.com/gitlab-org/architecture/gitlab-gcp-integration/glgo
      documents:
        architecture: https://gitlab.com/gitlab-org/architecture/gitlab-gcp-integration/design-doc#high-level-architecture
        service:
          - https://gitlab.com/gitlab-org/architecture/gitlab-gcp-integration/glgo/-/blob/main/README.md
        readiness_review:
      logging:
        - name: glgo
          permalink: https://console.cloud.google.com/run/detail/us-east1/glgo/logs?project=gitlab-runway-production
    observability:
      monitors:
        primary_grafana_dashboard: glgo-main/glgo-overview

  - name: token-rotation-management
    tier: inf
    friendly_name: Token rotation management
    label: TokenRotationManagement
    owner: security_operations
    technical:
      logging:
        - name:
          permalink:
